[Community Puzzle] High-rise buildings

Coding Games and Programming Challenges to Code Better

Send your feedback or ask for help here!

Hi everyone,

First of all, happy new year !

I’ve been searching a solution for this community puzzle and i’m about to change all my code because it’s not fast enough.

I solve 50% of the puzzle but on biggest map, my algorithm take too long. I did it the same way as i solved a sudoku previously, brute force + backtracking with some improvement (find the highest building on the map when it’s possible, even the “hidden” one, don’t wanna talk too much about it so people can search too) and in my map i save all numbers possible at that position, so i don’t try useless numbers.

I read that you can do it with some a* algorithm with some good heuristic?

If you have advice or things to read to help me, thank you in advance.

This is a really fun problem. Surprisingly, my solution succeeded without backtracking, and was much easier to write than sudoku. It does not involve any brute-force and solves all maps in a snap.

A very nice puzzle!
But I’m a bit surprised that it is rated “Very Hard”. I solved it using backtracking. I tried starting with a solution that does nothing fancy and I thought it wouldn’t be fast enough to solve the bigger cases, but it actually solved them all.